[supervisord]
nodaemon=true
logfile=/pulsar-manager/supervisord.log
pidfile=/pulsar-manager/supervisord.pid

[program:pulsar-manager-frontend]
command=/usr/sbin/nginx -g "daemon off;"
autostart=true
autorestart=true
stderr_logfile=/tmp/pulsar-manager-frontend-stderr---supervisor-%(host_node_name)s.log
stdout_logfile=/tmp/pulsar-manager-frontend-stdout---supervisor-%(host_node_name)s.log

[program:pulsar-manager-backend]
command=/pulsar-manager/pulsar-manager/bin/pulsar-manager --redirect.host=localhost --redirect.port=7750 --spring.datasource.driver-class-name=herddb.jdbc.Driver --spring.datasource.url=jdbc:herddb:server:localhost:7000?server.start=true&server.base.dir=dbdata --spring.datasource.initialization-mode=never --logging.level.org.apache=INFO --pulsar.cluster=standalone --pulsar.service-url=pulsar://smart-city-pulsar:6650 --pulsar.web-service-url=http://smart-city-pulsar:8080
autostart=true
autorestart=true
stderr_logfile=/tmp/pulsar-manager-backend-stderr---supervisor-%(host_node_name)s.log
stdout_logfile=/tmp/pulsar-manager-backend-stdout---supervisor-%(host_node_name)s.log
